Skip to main content
GET
/
ai-agents
/
agent-builder
/
agents
/
variables
/
all
List All Variables
curl --request GET \
  --url https://{appid}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/agents/variables/all \
  --header 'apikey: <api-key>'
[
  {
    "name": "<string>",
    "description": "<string>",
    "sourceType": "<string>",
    "category": "<string>",
    "usageCount": 123,
    "usedByAgents": [
      {}
    ],
    "usedByTools": {}
  }
]

Authorizations

apikey
string
header
required

API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).

Query Parameters

groupByCategory
boolean

Group variables by category

Response

List of variables (flat array or grouped by category)

name
string
description
string
sourceType
string
category
string
usageCount
number
usedByAgents
object[]
usedByTools
object